Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Class DocumentParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.document.DocumentException
                        |
                        +--com.bea.document.DocumentParseException

public class DocumentParseException
extends DocumentException

Exception indicating a parse error while creating an IDocument.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`DocumentParseException(java.lang.String msg, org.xml.sax.SAXParseException e)`
`DocumentParseException(java.lang.String msg, java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber)`
`DocumentParseException(java.lang.String msg, java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber, java.lang.Exception e)`

Method Summary
`int` | `getColumnNumber()`
`int` | `getLineNumber()`
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getSystemId()`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class com.bea.document.DocumentException
`getLinkedException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentParseException

    public DocumentParseException(java.lang.String msg,
                                  java.lang.String publicId,
                                  java.lang.String systemId,
                                  int lineNumber,
                                  int columnNumber)

### DocumentParseException

    public DocumentParseException(java.lang.String msg,
                                  java.lang.String publicId,
                                  java.lang.String systemId,
                                  int lineNumber,
                                  int columnNumber,
                                  java.lang.Exception e)

### DocumentParseException

    public DocumentParseException(java.lang.String msg,
                                  org.xml.sax.SAXParseException e)

Method Detail

### getPublicId

    public java.lang.String getPublicId()

### getSystemId

    public java.lang.String getSystemId()

### getLineNumber

    public int getLineNumber()

### getColumnNumber

    public int getColumnNumber()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class DocumentException

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)